Bug 787990 - License should be "BSD or Ruby"
Summary: License should be "BSD or Ruby"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-session
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guillermo Gómez
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-07 07:22 UTC by Bohuslav "Slavek" Kabrda
Modified: 2012-02-25 20:01 UTC (History)
1 user (show)

Fixed In Version: rubygem-session-3.1.0-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-17 00:51:28 UTC


Attachments (Terms of Use)

Description Bohuslav "Slavek" Kabrda 2012-02-07 07:22:20 UTC
Hi,
due to recent license change in Ruby (from 1.8.7 GPLv2 or Ruby to 1.9.3 BSD or
Ruby), there were some clarifications with various upstreams whose licenses
were "same as ruby's", therefore unclear. This package should now have license
BSD or Ruby, see the discussion with its author at [1].

Thank you.

[1] https://github.com/ahoward/session/issues/11#issuecomment-3829775

Comment 1 Guillermo Gómez 2012-02-07 12:14:27 UTC
Thank you for reporting, i'll review and fix asap.

Comment 2 Fedora Update System 2012-02-07 12:18:09 UTC
rubygem-session-3.1.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-session-3.1.0-2.fc16

Comment 3 Bohuslav "Slavek" Kabrda 2012-02-07 12:25:39 UTC
Thanks for the quick reaction. According to [1], you should also announce this on fedora-devel mailing list.

[1] http://fedoraproject.org/wiki/Licensing#License_Changes

Comment 4 Fedora Update System 2012-02-07 12:34:52 UTC
rubygem-session-3.1.0-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rubygem-session-3.1.0-2.fc15

Comment 5 Guillermo Gómez 2012-02-07 12:55:12 UTC
fedora-devel emailed accordingly. EPEL versions will have to wait a couple of days more in order not to delay it's release further.

Comment 6 Fedora Update System 2012-02-08 02:25:37 UTC
Package rubygem-session-3.1.0-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-session-3.1.0-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1427/rubygem-session-3.1.0-2.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-02-09 18:26:39 UTC
rubygem-session-3.1.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/rubygem-session-3.1.0-2.el6

Comment 8 Fedora Update System 2012-02-17 00:51:28 UTC
rubygem-session-3.1.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2012-02-17 00:57:46 UTC
rubygem-session-3.1.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-02-25 20:01:01 UTC
rubygem-session-3.1.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.